<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:template match="/">
        <documents version="1.34">
            <foreign_import action_id="332">
                <subject_id>participant_id</subject_id>
                <xsl:variable name="seller">
                    <xsl:value-of select="/docs/doc002/seller/ID[@SellerAttribute='Legal']"/>
                </xsl:variable>
                <seller_id><xsl:value-of select="$seller"/></seller_id>
                <shipper_id><xsl:value-of select="$seller"/></shipper_id>
                <custom_receiver_id>
                    <xsl:value-of select="/docs/doc002/receiver/ID[@ReceiverAttribute='Actual']"/>
                </custom_receiver_id>
                <operation_date><xsl:value-of select="/docs/doc002//receivingDateTime"/></operation_date>
                <contract_type>1</contract_type>
                <doc_num><xsl:value-of select="/docs/doc001/ROOT_ELEMENT/ELEMENT_05/NUM"/></doc_num>
                <doc_date>
                    <!-- 20200218 -> 18.02.2020 -->
                    <xsl:variable name="raw">
                        <xsl:value-of select="/docs/doc001/ROOT_ELEMENT/ELEMENT_04/DATE"/>
                    </xsl:variable>
                    <xsl:value-of select="substring($raw, 7, 2)"/>.<xsl:value-of select="substring($raw, 5, 2)"/>.<xsl:value-of select="substring($raw, 1, 4)"/>
                </doc_date>
                <order_details>
                    <xsl:for-each select="/docs/doc002/doc002LogisticUnit/UnitIdentification/sscc">
                        <sscc><xsl:value-of select="."/></sscc>
                    </xsl:for-each>
                </order_details>
            </foreign_import>
        </documents>
    </xsl:template>

</xsl:stylesheet>